##############################################################################
#
# Copyright (c) 2004 Tino Wildenhain.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################
""" Patch manage_main of Objectmanager to provide Icons for the add list """

__version__='$Revision: 1.0 $'[11:-2]

from OFS.ObjectManager import ObjectManager
from Globals import DTMLFile
import zLOG

ObjectManager.manage_main=DTMLFile('dtml/main', globals())
zLOG.LOG("PatchObjectManager", zLOG.INFO,"Icon Patch for ObjectManager added")